[Launch]
ProgramExecutable=Monero\monero-wallet-gui.exe
WorkingDirectory=%PAL:AppDir%\Monero
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[DirectoriesMove]
monero-storage=%PAL:AppDir%\Monero\monero-storage
.shared-ringdb=%ALLUSERSPROFILE%\.shared-ringdb
bitmonero=%ALLUSERSPROFILE%\bitmonero

[RegistryKeys]
monero-core=HKCU\Software\monero-project\monero-core

[RegistryCleanupIfEmpty]
1=HKCU\Software\monero-project

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\monero-storage\settings.ini
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\monero-storage\settings.ini
Find=%PAL:LastDrive%%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\monero-storage\settings.ini
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\settings\monero-core.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\settings\monero-core.reg
Find=%PAL:LastDrive%%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite6]
Type=Replace
File=%PAL:DataDir%\settings\monero-core.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\
